Summary: MPEG demuxer for GStreamer
Name: gstreamer-plugins-flumpegdemux
Version: 0.10.15
Release: 6%{?dist} 
License: MPLv1.1
Group: Applications/Multimedia
Source0: http://core.fluendo.com/gstreamer/src/gst-fluendo-mpegdemux/gst-fluendo-mpegdemux-%{version}.tar.bz2
Url: http://core.fluendo.com/gstreamer/src/gst-fluendo-mpegdemux/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

# Update code to current from gst-plugins-bad
Patch0: gst-fmd-update-from-bad.patch

BuildRequires: gcc-c++, pkgconfig
BuildRequires: gstreamer-devel
BuildRequires: liboil-devel
BuildRequires: automake autoconf libtool

%description
This package contains an MPEG demuxer for the GStreamer multimedia framework.
It allows to separate audio and video in MPEG streams, so that they can be
decoded.

%prep
%setup -q -n gst-fluendo-mpegdemux-%{version}
%patch0 -p1 -b .bad

libtoolize -f
aclocal
cat common/m4/*.m4 >> aclocal.m4
autoconf
automake

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_libdir}/gstreamer-0.10/libgstflumpegdemux.so $RPM_BUILD_ROOT%{_libdir}/gstreamer-0.10/libgstmpegdemux.so

# no static libs and libtool archives either
find $RPM_BUILD_ROOT%{_libdir} -type f -name "*.a" -exec rm -f {} ';'
find $RPM_BUILD_ROOT%{_libdir} -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS TODO
%{_libdir}/gstreamer-0.10/libgstmpegdemux.so

%changelog
* Wed Apr 01 2009 - Bastien Nocera <bnocera@redhat.com> - 0.10.15-6
- Update code from gst-plugins-bad

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 12 2008 - Bastien Nocera <bnocera@redhat.com> - 0.10.15-4
- Another rebuild

* Thu Sep 11 2008 - Bastien Nocera <bnocera@redhat.com> - 0.10.15-3
- Rebuild for GStreamer RPM provides work

* Tue May 06 2008 - Bastien Nocera <bnocera@redhat.com> - 0.10.15-2
- Fix some review bugs

* Tue May 06 2008 - Bastien Nocera <bnocera@redhat.com> - 0.10.15-1
- Update to 0.10.15

* Wed Aug 01 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.12-1
- First version

